eclib (20231212-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:10:27 +0000

eclib (20231212-1.1build1) noble; urgency=high

  * No change rebuild against libpari-gmp-tls8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:57:29 +0100

eclib (20231212-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062522

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 02:45:07 +0000

eclib (20231212-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Dec 2023 06:50:44 +0100

eclib (20230424-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 11:53:44 +0200

eclib (20221012-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Oct 2022 07:06:17 +0200

eclib (20220621-2) unstable; urgency=medium

  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Oct 2022 21:48:28 +0200

eclib (20220621-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Jun 2022 09:03:59 +0200

eclib (20220620-1) unstable; urgency=medium

  * Move to the math team.
  * New upstream release.
  * Update dates in d/copyright.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 21 Jun 2022 09:42:18 +0200

eclib (20210625-1) unstable; urgency=medium

  * New upstream release.
  * Update the soname version.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Aug 2021 11:28:29 +0200

eclib (20210503-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 May 2021 21:53:41 +0200

eclib (20210415-1) experimental; urgency=medium

  * Update d/watch to handle upstream changing version tags.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 01 May 2021 13:31:24 +0200

eclib (20210310-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 12 Mar 2021 13:07:22 +0100

eclib (20210226-1) experimental; urgency=medium

  * Bump standards-version to 4.5.1.
  * Bump dh compat to 13.
  * Drop the obsolete lintian overrides.
  * Declare d/rules doesn't require root.
  * New upstream release.
  * Drop now-obsolete patch.
  * Make dh_missing stop complaining about mwrank.1.
  * Install the devel documentation with the -dev package.
  * Install the pkg-config file in the -dev package.
  * Don't ship the la file.
  * Update the soname version.
  * Drop last lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 03 Mar 2021 11:07:28 +0100

eclib (20190909-3) unstable; urgency=medium

  * Team upload.
  * Bump std-vers to 4.5.0.
  * Rebuild against pari 2.11.4~pre1.

 -- Tobias Hansen <thansen@debian.org>  Sun, 05 Apr 2020 10:01:18 +0200

eclib (20190909-2) unstable; urgency=medium

  * Add patch to stop a warning in the longify function.
  * Bump std-vers to 4.4.1.
  * Add patch for parisize to solve FTBFS on some arches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 09 Jan 2020 07:13:30 +0100

eclib (20190909-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 13 Sep 2019 10:37:51 +0200

eclib (20190226-3) unstable; urgency=medium

  * Bump dh compat to 12 and drop d/compat.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 30 Jul 2019 18:40:52 +0200

eclib (20190226-2) unstable; urgency=medium

  * Bump std-vers to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Jul 2019 09:29:03 +0200

eclib (20190226-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 Mar 2019 11:59:43 +0100

eclib (20190205.1-1) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.3.0.
  * Drop patch for armel (now upstream).
  * Bump soname version to 5.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 09 Feb 2019 14:08:49 +0100

eclib (20180815-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Declare Breaks: sagemath (<< 8.4~) for eclib-tools to ensure
    testing migration together with sagemath 8.4.

 -- Tobias Hansen <thansen@debian.org>  Sat, 20 Oct 2018 11:27:56 +0200

eclib (20180815-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Aug 2018 18:20:06 +0200

eclib (20180710-2) experimental; urgency=medium

  * Don't run tests on i386, as upstream doesn't
  make them work there anymore (Closes: #892139).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 Jul 2018 09:16:59 +0200

eclib (20180710-1) experimental; urgency=medium

  * New upstream release.
  * Refresh packaging:
    - Bump std-ver to 4.1.5.
    - Use my debian.org mail address.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 11 Jul 2018 12:39:19 +0200

eclib (20171219-1) experimental; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.1.3.
  * Refresh d/copyright.
  * Bump soname to version 4.
  * Move Vcs* fields to salsa.debian.org.
  * Bump dh compat to 11.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 15 Feb 2018 12:19:46 +0100

eclib (20171002-1) unstable; urgency=medium

  * New upstream release.
  * Bump d/watch to version 4.
  * Bump std-ver to 4.1.1.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 06 Oct 2017 08:38:17 +0200

eclib (20170815-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.0.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 18 Aug 2017 09:52:12 +0200

eclib (20170330-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 07 May 2017 12:59:29 +0200

eclib (20170122-1) experimental; urgency=medium

  * New upstream release.
  * Follow soname bump from 2 to 3.
  * Don't install mwrank.info (not a real info file).
  * Install mwrank.1 differently.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 01 Mar 2017 22:09:45 +0100

eclib (20160720-3) experimental; urgency=medium

  * Wrote a better patch for the numerical noise on ARMEL.
  * Cleaned d/rules to follow the dh compat bump and enable all hardenings.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 06 Nov 2016 11:30:52 +0100

eclib (20160720-2) unstable; urgency=medium

  * Marked libec-dev as Multi-Arch: same followin hinter's advice.
  * Pushed dh compat to 10.
  * Pushed the bound for numerical noise higher (Closes: #843192).

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 05 Nov 2016 09:19:43 +0100

eclib (20160720-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 22 Jul 2016 11:40:17 +0200

eclib (20160206-2) unstable; urgency=medium

  * Added the egr_bound_small_to_zero patch so tests don't
    fail on numerical noise. (Closes: #828107)
  * Bumped standards version to 3.9.8.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 30 Jun 2016 15:25:35 +0100

eclib (20160206-1) unstable; urgency=medium

  * New upstream release, fixing gcc 6 compilation (Closes: #811821)
  * Bump standards version to 3.9.7
  * Use https for Vcs-* fields

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 13 Apr 2016 22:04:33 +0200

eclib (20160101-1) unstable; urgency=medium

  * New upstream release.
  * Set new homepage url.
  * Fix Vcs-browser url.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 06 Jan 2016 09:37:16 +0100

eclib (20150827-1) unstable; urgency=medium

  * New upstream release.
  * Updated d/watch to follow new upstream tagging scheme.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 30 Aug 2015 12:09:05 +0200

eclib (20150510-2) unstable; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * Disable boost support (Closes: #786613)
  * Better copyright notice for the m4/* files.

  [ Tobias Hansen ]
  * Enable parallel building.

 -- Tobias Hansen <thansen@debian.org>  Fri, 31 Jul 2015 23:03:48 +0200

eclib (20150510-1) unstable; urgency=medium

  * Upgraded to newest upstream version (and versioned without hyphens
    like upstream).
  * Updated the watch file to handle the no-hyphens version numbers.
  * Follow upstream's soname change (rename package libec0 to libec2).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 11 May 2015 18:25:20 +0200

eclib (2014-09-21-1) unstable; urgency=medium

  * Upgraded to newest upstream version (we don't need any patches now).

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 26 Aug 2014 18:54:00 +0200

eclib (2014-05-14a-2) unstable; urgency=low

  * Added a patch from Alexander Ovchinnikov (Closes: #755227).

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 03 Aug 2014 12:22:43 +0200

eclib (2014-05-14a-1) unstable; urgency=low

  * Upgraded to latest upstream (Closes: #743329).
  * Made the watch file detect/rewrite upstream versions better.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 20 May 2014 16:33:24 +0200

eclib (2013-01-01-1) unstable; urgency=low

  * Upgraded to latest upstream.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 13 Feb 2013 17:19:42 +0100

eclib (2012-08-30-1) unstable; urgency=low

  * Upgraded to latest upstream.
  * Adds build-depends on libgmp-dev.
  * Builds on 32 bit architectures now (Closes: #683466).
  * Ship mwrank.info which describes mwrank in more details.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 21 Dec 2012 17:27:37 +0100

eclib (2012-07-03-1) unstable; urgency=low

  * Upgraded to latest upstream.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 06 Jul 2012 13:48:31 +0200

eclib (2012-06-01-1) unstable; urgency=low

  * Initial release (Closes: #673143).

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 01 Jun 2012 18:42:55 +0200
